<div class="row mta justify-content-center">
    <div class="card">
        <div class="card-header" style="text-align: center">
            <h2 class="card-title">
                <fa-icon [icon]="faMotorcycle"></fa-icon> Pedido em Rota
            </h2>
        </div>
        <div class="card-body">

            <p class="card-text">
                <strong><fa-icon [icon]="faTag"></fa-icon> ID do Pedido:</strong> {{ id }}
            </p>
            <p class="card-text">
                <strong><fa-icon [icon]="faMapMarkerAlt"></fa-icon> Endereço de
          Retirada:</strong
        >
        {{ pedido.loja.logradouro+" - "+pedido.loja.bairro+" - "+pedido.loja.localidade }}
      </p>
      <p class="card-text">
        <strong
          ><fa-icon [icon]="faMapMarkerAlt"></fa-icon> Endereço de
          Entrega:</strong
        >
        {{ pedido.cliente.logradouro+" - "+pedido.cliente.bairro+" - "+pedido.cliente.localidade }}
      </p>

      <p class="card-text">
        <strong><fa-icon [icon]="faClock"></fa-icon> Tempo Estimado: </strong> {{ pedido.tempoEstimado }}m

            </p>

            <div class="row justify-content-center">
                <div class="card">
                    <app-mapa [latitudeDestination]="pedido.cliente.latitude" [longitudeDestination]="pedido.cliente.longitude" [latitudeOrigin]="pedido.loja.latitude" [longitudeOrigin]="pedido.loja.longitude"[latitudeWaypoint]="pedido.entregador!.latitude"
                    [longitudeWaypoint]="pedido.entregador!.longitude"></app-mapa>
                </div>

            </div>
            <hr />
            <div class="row justify-content-center">
                <a style="margin-right: 10px" href="https://www.waze.com/ul?ll=-30.028841721150002%2C-51.18197601355743&navigate=yes&zoom=17" target="_blank" class="btn btn-primary primary-color-bg btn-resize mb20">
                    <fa-icon [icon]="faWaze"></fa-icon> Iniciar viagem com Waze</a>
                <a href="https://www.google.com.br/maps/place/-30.026740693257462,-51.18987484376673" target="_blank" class="btn btn-primary primary-color-bg btn-resize mb20">
                    <fa-icon [icon]="faGoogle"></fa-icon> Iniciar viagem com GoogleMaps
                </a>
            </div>
            <div class="row justify-content-center">
                <button class="btn btn-success btn-resize" data-toggle="modal" data-target="#exampleModalCenter" >
                    <fa-icon [icon]="faPeopleCarry"></fa-icon> Confirmar Entrega</button>
            </div>
            <div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
              <div class="modal-dialog modal-dialog-centered" role="document">
                <div class="modal-content">
                  <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLongTitle">Confirmar Entrega</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                      <span aria-hidden="true">&times;</span>
                    </button>
                  </div>
                  <div class="modal-body">
                    Você gostaria de confirmar a entrega?
                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
                    <button type="button" class="btn primary-color-bg text-light" data-dismiss="modal"
                      (click) = "returnHome() ">Confirmar </button>
                  </div>
                </div>
              </div>
            </div>
        </div>
    </div>
</div>
